Sending an email

Send an email

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
ParamNameRequiredDescription
htmlYou can use parameter html and text for sending template directly in this request.

or you can use a parameter template and send static template uploaded to email service and send only values for these variables (which were added in template)
HTML version of the email, encoded in base64
textYou can use parameter html and text for sending template directly in this request.

or you can use a parameter template and send static template uploaded to email service and send only values for these variables (which were added in template)
Text version of the email
templateYou can use parameter html and text for sending template directly in this request.

or you can use a parameter template and send static template uploaded to email service and send only values for these variables (which were added in template)
template.idYou can use parameter html and text for sending template directly in this request.

or you can use a parameter template and send static template uploaded to email service and send only values for these variables (which were added in template)
ID of the template uploaded in the service. Use this method to get the template ID (use either real_id or id parameter from the reply)
template.variablesYou can use parameter html and text for sending template directly in this request.

or you can use a parameter template and send static template uploaded to email service and send only values for these variables (which were added in template)
includes variables' names and values in such a format: variables: {"name of the variable in the template": "value of the variable for this email"}
subjecttrueEmail subject
fromtrueAn array containing the sender’s name and email address
totrueAn array of recipients
attachmentsfalseAn array in which the key is the name of the file, and the value is the contents of the file (optional)
attachments_binaryfalseAn array in which the key is the name of the file, and the value is the contents of the file, encoded in base64 (optional)
Body Params
email
array of strings

a serialized array with email data

email
Headers
string
required
Defaults to application/json
string
required
Defaults to Bearer {access_token}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json